## class OSGDB_EXPORT osgDB::Field

### Public Methods

Field()
Field(const Field& field)
virtual ~Field()
virtual Field& operator = (const Field& ic)
void reset()
void addChar(char c)
int getNoCharacters() const
void setWithinQuotes(bool withinQuotes=true)
bool getWithinQuotes()
void setNoNestedBrackets(int no)
int getNoNestedBrackets()
FieldType getFieldType() const
bool isValid() const
bool isOpenBracket() const
bool isCloseBracket() const
bool isWord() const
bool matchWord(const char* str) const
bool matchWord(const char* str, int noCharacters) const
bool isString() const
bool matchString(const char* str) const
bool matchString(const char* str, int noCharacters) const
bool isQuotedString() const
const char* getStr() const
char* takeStr()
bool isInt() const
bool matchInt(int i) const
bool getInt(int& i) const
bool isUInt() const
bool matchUInt(unsigned int i) const
bool getUInt(unsigned int& i) const
bool isFloat() const
bool matchFloat(float f) const
bool getFloat(float& f) const
bool getFloat(double& f) const
static FieldType calculateFieldType(const char* str, bool withinQuotes=false)

### Public Members

enum
enum FieldType

### Protected Fields

int _fieldCacheCapacity
int _fieldCacheSize
char* _fieldCache
mutable FieldType _fieldType
bool _withinQuotes
int _noNestedBrackets

### Protected Methods

void _init()
void _free()
void _copy(const Field& ic)

## Documentation

`enum`

`MIN_CACHE_SIZE`

`Field()`

`Field(const Field& field)`

`virtual ~Field()`

`virtual Field& operator = (const Field& ic)`

`void reset()`

`void addChar(char c)`

`int getNoCharacters() const`

`void setWithinQuotes(bool withinQuotes=true)`

`bool getWithinQuotes()`

`void setNoNestedBrackets(int no)`

`int getNoNestedBrackets()`

`enum FieldType`

`OPEN_BRACKET`

`CLOSE_BRACKET`

`STRING`

`WORD`

`REAL`

`INTEGER`

`BLANK`

`UNINITIALISED`

`FieldType getFieldType() const`

`bool isValid() const`

`bool isOpenBracket() const`

`bool isCloseBracket() const`

`bool isWord() const`

`bool matchWord(const char* str) const`

`bool matchWord(const char* str, int noCharacters) const`

`bool isString() const`

`bool matchString(const char* str) const`

`bool matchString(const char* str, int noCharacters) const`

`bool isQuotedString() const`

`const char* getStr() const`

`char* takeStr()`

`bool isInt() const`

`bool matchInt(int i) const`

`bool getInt(int& i) const`

`bool isUInt() const`

`bool matchUInt(unsigned int i) const`

`bool getUInt(unsigned int& i) const`

`bool isFloat() const`

`bool matchFloat(float f) const`

`bool getFloat(float& f) const`

`bool getFloat(double& f) const`

`static FieldType calculateFieldType(const char* str, bool withinQuotes=false)`

`void _init()`

`void _free()`

`void _copy(const Field& ic)`

`int _fieldCacheCapacity`

`int _fieldCacheSize`

`char* _fieldCache`

`mutable FieldType _fieldType`

`bool _withinQuotes`

`int _noNestedBrackets`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.